Bug 239171 - fix arch definitions in lang/perl5.28 et. al.
Summary: fix arch definitions in lang/perl5.28 et. al.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-12 17:49 UTC by Mark Linimon
Modified: 2019-10-04 22:44 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mat)


Attachments
patch for lang/perl5*/Makefile (2.25 KB, patch)
2019-07-12 17:49 UTC, Mark Linimon
mat: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2019-07-12 17:49:49 UTC
Created attachment 205727 [details]
patch for lang/perl5*/Makefile

The arch definitions used in the test for DTRACE functionality are missing the definition for powerpcspe, as well as some obscure mips* definitions.  This patch fixes that.
Comment 1 Mathieu Arnold freebsd_committer 2019-08-01 16:35:31 UTC
Please go ahead.
Comment 2 commit-hook freebsd_committer 2019-10-04 22:44:45 UTC
A commit references this bug:

Author: linimon
Date: Fri Oct  4 22:43:47 UTC 2019
New revision: 513794
URL: https://svnweb.freebsd.org/changeset/ports/513794

Log:
  The arch definitions used in the test for DTRACE functionality are
  missing the definition for powerpcspe, as well as some obscure mips*
  definitions.  This patch fixes that.

  There should be no need to bump PORTREVISION, because only those
  archs are affected, and we do not build packages for any of them
  in any case.

  PR:		239171
  Approved by:	mat

Changes:
  head/lang/perl5-devel/Makefile
  head/lang/perl5.26/Makefile
  head/lang/perl5.28/Makefile
  head/lang/perl5.30/Makefile